Bug 89631 - dialog boxen have incorrectly drawn borders
Summary: dialog boxen have incorrectly drawn borders
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dialog (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-25 12:58 UTC by priit.randla
Modified: 2007-04-18 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 08:05:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description priit.randla 2003-04-25 12:58:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
Easily demonstrated:
/usr/share/doc/dialog-0.9b/samples/msgbox

Running on console parts of border are invisible, in xterm its clear that these
parts of border are drawn white.
ncurses problem?

Version-Release number of selected component (if applicable):
dialog-0.9b-20020814.2

How reproducible:
Always

Steps to Reproduce:
1./usr/share/doc/dialog-0.9b/samples/msgbox

    

Actual Results:  Parts of messagebox border not drawn.

Expected Results:  Correct border.

Additional info:

Comment 1 Harald Hoyer 2003-04-25 13:12:59 UTC
yep, ncurses, termcap or console driver problem...

Comment 2 Thomas E. Dickey 2003-05-18 00:32:11 UTC
duh - I keep repeating myself.  Linking dialog to the non-UTF-8 configuration of ncurses running
in a UTF-8 locale produces trash on the screen.

Comment 3 Sandor Gyomorey 2003-09-23 20:14:24 UTC
Hi,
I have an application using ncurses on RedHat 7.2.
If I upgrade RedHat 7.2 to RedHat 9 the application is running fine
even if I recompile the programs.
On a new installed RedHat 9 the application does'not draw borders and
it does not display the german umlaute, even if I recompile the programs.

Regards : Sandor Gyomorey, katagyom@enoreo.on.ca

Comment 4 Eido Inoue 2003-09-23 20:33:41 UTC
current releases of ncurses provide the wide library, so I'm moving the
component and owner over to dialog, which needs to be re-built against ncursesw.

Comment 5 Thomas E. Dickey 2003-09-23 20:38:38 UTC
dialog also has to be updated (the last I noticed, Redhat's package is rather
old).  I made changes to allow the configure script to recognize ncursesw,
as well as to handle double-width characters which are appear to be complete
as of 2003/09/10.  But simply compiling/linking with ncursesw would fix this
particular complaint.

Comment 6 Harald Hoyer 2003-09-24 08:05:41 UTC
dialog-0.9b-20030910.1.src.rpm in rawhide with ncursesw


Note You need to log in before you can comment on or make changes to this bug.